export class WishlistItemModel {
  public readonly wishlistId: number;
  public readonly userId: number;
  public cityName: string;
  public state: string;
  public stateCode: number | string;
  public startTime: Date | string;
  public endTime: Date | string;
  public details: string;

  constructor(
    wishlistId = -1,
    userId = -1,
    cityName = "",
    state = "",
    stateCode = "",
    startTime = "",
    endTime = "",
    details = ""
  ) {
    this.wishlistId = wishlistId;
    this.userId = userId;
    this.cityName = cityName;
    this.state = state;
    this.stateCode = stateCode;
    this.startTime = startTime;
    this.endTime = endTime;
    this.details = details;
  }
}
